IRCD-Hybrid and ircd-ratbox 'LINKS' Command Remote Integer Underflow Vulnerability

Bugtraq ID: 37978
Class: Boundary Condition Error
CVE: CVE-2009-4016
Remote: Yes
Local: No
Published: Jan 27 2010 12:00AM
Updated: Jun 08 2010 09:09PM
Credit: David Leadbeater
Vulnerable: Red Hat Fedora 12
offeryn oftc-hybrid 1.6.7
ircd-ratbox ircd-ratbox 2.2.8
ircd-ratbox ircd-ratbox 2.2.6
ircd-ratbox ircd-ratbox 2.2.5
ircd-ratbox ircd-ratbox 2.0 rc7
ircd-ratbox ircd-ratbox 2.0 rc6
IRCD-Hybrid ircd-hybrid 7.2.2
IRCD-Hybrid ircd-hybrid 7.1 devel
IRCD-Hybrid ircd-hybrid 7.0.1
Debian Linux 5.0 sparc
Debian Linux 5.0 s/390
Debian Linux 5.0 powerpc
Debian Linux 5.0 mipsel
Debian Linux 5.0 mips
Debian Linux 5.0 m68k
Debian Linux 5.0 ia-64
Debian Linux 5.0 ia-32
Debian Linux 5.0 hppa
Debian Linux 5.0 armel
Debian Linux 5.0 arm
Debian Linux 5.0 amd64
Debian Linux 5.0 alpha
Debian Linux 5.0
Not Vulnerable: offeryn oftc-hybrid 1.6.8


 

Privacy Statement
Copyright 2010, SecurityFocus